routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'Frontend\PageController@landing')->name('landing');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/account/profile', 'ProfileController@show')->name('profile.show');
Route::put('/account/profile', 'ProfileController@update')->name('profile.update');
Route::put('/account/profile/user', 'ProfileController@updateUser')->name('profile.update.user');

Route::post('/buy/cart', 'Frontend\PageController@addToCart')->name('cart.add');
Route::get('/buy/cart', 'Frontend\PageController@indexCart')->name('cart.index');
Route::post('/buy/checkout/{tenant_id}', 'Frontend\PageController@checkoutStore')->name('checkout.store');
Route::post('/buy/cart/remove', 'Frontend\PageController@removeItemCart')->name('cart.remove');
Route::post('/buy/cart/update', 'Frontend\PageController@updateCart')->name('cart.update');

Route::group(['prefix' => 'main'], function () {
    Route::group(['middleware' => ['auth', 'role:cashier']], function () {
        Route::get('user', 'Backend\UserController@index')->name('user.index');
        Route::post('user', 'Backend\UserController@store')->name('user.store');
        Route::get('user/create', 'Backend\UserController@create')->name('user.create');
        Route::get('user/{id}/edit', 'Backend\UserController@edit')->name('user.edit');
        Route::put('user/{id}/update', 'Backend\UserController@update')->name('user.update');
        Route::delete('user/{id}', 'Backend\UserController@destroy')->name('user.destroy');
    
        Route::resource('tenant', 'Backend\TenantController', ['only' => ['index', 'show', 'create', 'store', 'update', 'edit']]);
        Route::post('tenant.verification', 'Backend\TenantController@verification')->name('tenant.verification');
        Route::resource('sale', 'Backend\SaleController', ['only' => ['index', 'show', 'update']]);
        Route::get('sale/{id}/pay', 'Backend\SaleController@pay')->name('sale.pay');
        Route::post('sale/{id}/pay', 'Backend\SaleController@payStore')->name('sale.pay.store');
    });

    Route::group(['middleware' => ['auth', 'role:tenant']], function () {
        Route::resource('product', 'Frontend\ProductController');
        Route::resource('sales', 'Frontend\SaleController', ['only' => ['index', 'show', 'update']]);
        Route::get('sales/{id}/process', 'Frontend\SaleController@process')->name('sales.process');
    });

});

app/Sale.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Sale extends Model
{
    use SoftDeletes;

    protected $appends = ['display_status'];

    public function cashier()
    {
        return $this->belongsTo('App\User', 'cashier_id');
    }

    public function tenant()
    {
        return $this->belongsTo('App\Tenant', 'tenant_id');
    }

    public function details()
    {
        return $this->hasMany('App\SaleDetail');
    }

    public static function generateInvoice()
    {
        $start = '1022' . date('ymd') . '0001';
        $last = self::latest()->first();
        if ($last) {
            $start = $last->invoice;
        }
        $count = 2;
        $digits = 14;
        $result = array();
        for ($n = $start; $n < $start + $count; $n++) {
            $result[] = str_pad($n, $digits, "0", STR_PAD_LEFT);
        }
        return $result[1];
    }

    public function getDisplayStatusAttribute()
    {
        $result = '';
        $status = $this->attributes['status'];

        switch ($status) {
            case '100':
                $result = 'Menunggu Pembayaran';
                break;
            case '200':
                $result = 'Dibayar';
                break;
            case '300':
                $result = 'Selesai';
                break;
            case '10':
                $result = 'Dibatalkan';
                break;

            default:
                $result = 'Tidak Ada';
                break;
        }

        return $result;
    }
}

app/Http/Controllers/Backend/SaleController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Yajra\Datatables\Datatables;
use App\Tenant;
use App\Sale;
use App\SaleDetail;
use Session;
use Auth;

class SaleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $sales = Sale::with('cashier', 'tenant')->orderBy('id', 'DESC');

            if ($request->get('status') != null) {
                if ($request->status != 'all') {
                    $sales->where('status', $request->status);
                }
            }

            $sales = $sales->select('sales.*');

            return Datatables::of($sales)
                ->addIndexColumn()
                ->addColumn('action', function ($sale) {
                    return view('partials._action', [
                        'model'       => $sale,
                        'show_url'    => route('sale.show', $sale->id),
                        'pay_url'     => route('sale.pay', $sale->id)
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('backend.sales.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $sale = Sale::find($id);

        return view('backend.sales.show')->with(compact('sale'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $sale = Sale::find($id);
        $sale->cashier_id = Auth::user()->id;
        $sale->status = 10;
        $sale->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Transaksi ini berhasil dibatalkan"
        ]);

        return redirect()->route('sale.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function pay($id)
    {
        $sale = Sale::find($id);

        if ($sale->is_paid == 1){
            Session::flash("flash_notification", [
                "level" => "error",
                "message" => "Transaksi ini telah dibayar!"
            ]);

            return redirect()->route('sale.index');
        }

        return view('backend.sales.pay')->with(compact('sale'));
    }

    public function payStore(Request $request, $id)
    {
        $this->validate($request, [
            'paid' => 'required|numeric',
            'cashback' => 'required|numeric',
        ]);

        $sale = Sale::find($id);
        $sale->paid = $request->paid;
        $sale->cashback = $request->cashback;
        $sale->cashier_id = Auth::user()->id;
        $sale->is_paid = 1;
        $sale->status = 200;
        $sale->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Pembayaran berhasil, pesanan telah dilanjutkan ke penjual"
        ]);

        return redirect()->route('sale.index');
    }
}

app/Http/Controllers/Frontend/PageController.php
<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\User;
use App\Tenant;
use App\Food;
use App\Sale;
use App\SaleDetail;
use Session;

class PageController extends Controller
{
    public function landing(Request $request)
    {
        $tenants = Tenant::where('is_verification', 1)->where('status', 100)->get();
        
        $q = $request->q ?? '';
        $type = $request->type ?? '';
        $tenant = $request->tenant ?? '';

        $foods = Food::where('status', 100)->whereHas('tenant', function($query){
            $query->where('status', 100);
        });

        if ($request->has('q')) {
            if ($request->q != 'all') {
                $foods->where('name', 'like', '%' . $request->q . '%');
            }
        }

        if ($request->has('type')) {
            if ($request->type != 'all') {
                $foods->where('type', 'like', '%' . $request->type . '%');
            }
        }

        if ($request->has('tenant')) {
            if ($request->tenant != '') {
                $foods->whereHas('tenant', function($q) use($request){
                    $tenants = explode(',', $request->tenant);
                    foreach ($tenants as $key => $item) {
                        if ($key == 0) {
                            $q->where('slug', 'like', '%' . $item . '%');
                        } else {
                            $q->orWhere('slug', 'like', '%' . $item . '%');
                        }
                    }
                });
            }
        }

        $foods = $foods->paginate(9);

        return view('welcome')->with(compact('tenants', 'foods', 'q', 'type', 'tenant'));
    }

    public function addToCart(Request $request)
    {
        $id = $request->food_id;
        $food = Food::find($id);

        $cart = session()->get('cart');

        $tenant_id = $food->tenant_id;
        $tenant_name = $food->tenant->name;
        // if cart is empty then this the first product
        if (!$cart) {
            $cart = [
                $tenant_id => [
                    'tenant_name' => $tenant_name,
                    'data' => [
                        $id => [
                            "id" => $food->id,
                            "name" => $food->name,
                            "quantity" => $request->food_qty,
                            "image_url" => asset('uploads/images/products/' . $food->image),
                            "price" => $food->price
                        ]
                    ]
                ]
            ];

            session()->put('cart', $cart);

            Session::flash("swal_notification", [
                "level" => "success",
                "message" => "Item berhasil ditambahkan ke list order"
            ]);

            return redirect()->back();
        }

        // if cart not empty then check if this product exist then increment quantity
        if (isset($cart[$tenant_id]['data'][$id])) {

            if ($request->food_qty == 1) {
                $cart[$tenant_id]['data'][$id]['quantity']++;
            } else {
                $cart[$tenant_id]['data'][$id]['quantity'] = $request->food_qty;
            }

            session()->put('cart', $cart);

            Session::flash("swal_notification", [
                "level" => "success",
                "message" => "Item berhasil ditambahkan ke list order"
            ]);

            return redirect()->back();
        }

        // if item not exist in cart then add to cart with quantity = 1
        $cart[$tenant_id]['tenant_name'] = $tenant_name;
        $cart[$tenant_id]['data'][$id] = [
            "id" => $food->id,
            "name" => $food->name,
            "quantity" => $request->food_qty,
            "image_url" => asset('uploads/images/products/' . $food->image),
            "price" => $food->price
        ];

        session()->put('cart', $cart);

        Session::flash("swal_notification", [
            "level" => "success",
            "message" => "Item berhasil ditambahkan ke list order"
        ]);
        return redirect()->back();
    }

    public function updateCart(Request $request)
    {
        $status = 0;
        if ($request->tenant_id and $request->food_id and $request->quantity) {
            $cart = session()->get('cart');

            $cart[$request->tenant_id]['data'][$request->food_id]['quantity'] = $request->quantity;

            session()->put('cart', $cart);

            $status = 1;
        }
        if ($status == 1) {
            Session::flash("swal_notification", [
                "level" => "success",
                "message" => "Item berhasil diupdate"
            ]);
        } else {
            Session::flash("swal_notification", [
                "level" => "error",
                "message" => "Gagal terjadi kesalahan!"
            ]);
        }

        return redirect()->back();
    }

    public function removeItemCart(Request $request)
    {
        $status = 0;
        if ($request->tenant_id and $request->food_id) {

            $cart = session()->get('cart');
            if (isset($cart[$request->tenant_id]['data'][$request->food_id])) {

                unset($cart[$request->tenant_id]['data'][$request->food_id]);

                if (empty($cart[$request->tenant_id]['data'])) {
                    unset($cart[$request->tenant_id]);
                }

                session()->put('cart', $cart);

                $status = 1;
            }
        }
        if ($status == 1) {
            Session::flash("swal_notification", [
                "level" => "success",
                "message" => "Item berhasil dihapus"
            ]);
        } else {
            Session::flash("swal_notification", [
                "level" => "error",
                "message" => "Gagal terjadi kesalahan!"
            ]);
        }
        return redirect()->back();
    }

    public function indexCart()
    {
        $carts = session('cart') ?? [];
        //dd($carts);
        return view('frontend.pages.cart')->with(compact('carts'));
    }

    public function checkoutStore(Request $request, $tenant_id)
    {
        $this->validate($request, [
            'name' => 'required|string|max:255',
            'phone' => 'required|numeric|digits_between:9,15',
        ]);

        //dd($request->all());

        $cart = session('cart')[$tenant_id] ?? [];
        if (empty($cart)) {
            abort(404);
        }

        $sale = new Sale();
        $sale->invoice = Sale::generateInvoice();
        $sale->tenant_id = $tenant_id;
        $sale->customer_name = $request->name;
        $sale->customer_phone = $request->phone;
        $sale->customer_note = $request->note ?? '-';
        $sale->food_total = 0;
        $sale->price_total = 0;
        $sale->save();

        $price_total = 0;
        $food_total = 0;
        $subtotal = 0;
        foreach ($cart['data'] as $key => $item) {
            $detail = new SaleDetail();
            $detail->sale_id = $sale->id;
            $detail->food_id = $item['id'];
            $detail->price = $item['price'];
            $detail->qty = $item['quantity'];
            $detail->subtotal = $item['price'] * $item['quantity'];
            $detail->save();

            $price_total = $item['quantity'] * $item['price'];
            $subtotal += $price_total;
            $food_total += $item['quantity'];
        }

        $sale->food_total = $food_total;
        $sale->price_total = $subtotal;
        $sale->save();

        // remove cart
        $carts = session('cart');
        unset($carts[$request->tenant_id]);
        session()->put('cart', $carts);

        Session::flash("swal_notification", [
            "level" => "success",
            "message" => "Checkout berhasil dengan nomor pesanan $sale->invoice, silahkan lakukan pembayaran di kasir ya :)"
        ]);

        return redirect()->route('landing');
        //return redirect()->route('confirm', $sale->invoice);
    }
}

resources/views/frontend/sales/process.blade.php
@extends('adminlte::page')

@section('title', config('app.name') . ' -')
@section('title_postfix', 'Pengguna')

@section('content_header')
  <div class="row mb-2">
    <div class="col-sm-6">
      <h1>Transaksi</h1>
    </div>
    <div class="col-sm-6">
      <ol class="breadcrumb float-sm-right">
        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ route('sales.index') }}">Transaksi</a></li>
        <li class="breadcrumb-item active">Proses Transaksi</li>
      </ol>
    </div>
  </div>
@endsection

@section('content')
  <div class="row">
    <div class="col-md-3">
      <div class="card">
        <div class="card-header">
          Informasi Order
        </div>
        <div class="card-body">
          <form action="{{ route('sales.update', $sale->id) }}" method="POST">
            @csrf
            @method('patch')
            <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
              <label for="name" class="d-block">Nama</label>
              <input type="text" id="customer_name" class="form-control @if ($errors->has('name')) is-invalid @endif" value="{{ $sale->customer_name }}" disabled>
              @if ($errors->has('name'))
                <div class="invalid-feedback">
                  <strong>{{ $errors->first('name') }}</strong>
                </div>
              @endif
            </div>
            <div class="form-group {{ $errors->has('phone') ? ' has-error' : '' }}">
              <label for="phone" class="d-block">Nomor Whatsapp</label>
              <input type="number" id="customer_phone" class="form-control @if ($errors->has('phone')) is-invalid @endif" value="{{ $sale->customer_phone }}" disabled>
              @if ($errors->has('phone'))
                <div class="invalid-feedback">
                  <strong>{{ $errors->first('phone') }}</strong>
                </div>
              @endif
            </div>
            <div class="form-group {{ $errors->has('note') ? ' has-error' : '' }}">
              <label for="note" class="d-block">Catatan</label>
              <textarea id="customer_note" class="form-control @if ($errors->has('note')) is-invalid @endif" rows="2" disabled>{{ $sale->customer_note }}</textarea>
              @if ($errors->has('note'))
                <div class="invalid-feedback">
                  <strong>{{ $errors->first('note') }}</strong>
                </div>
              @endif
            </div>
            <div class="form-group {{ $errors->has('status') ? ' has-error' : '' }}">
              <label for="status" class="d-block">Status</label>
              <input id="customer_status" class="form-control @if ($errors->has('status')) is-invalid @endif" value="{{ $sale->display_status }}" disabled>
              @if ($errors->has('status'))
                <div class="invalid-feedback">
                  <strong>{{ $errors->first('status') }}</strong>
                </div>
              @endif
            </div>
            @if ($sale->status == 200 && $sale->is_paid == 1)
              <div class="form-group">
                <button type="submit" class="btn btn-success btn-block"><i class="fa fa-success"></i> Proses pesanan ini</button>
              </div>
            @endif
          </form>
        </div>
      </div>
    </div>

    <div class="col-md-9">
      <div class="card">
        <div class="card-header">
          Beli dari : &nbsp;<strong>{{ $sale->tenant->name }}</strong>
        </div>
        <div class="card-body p-0">
          <div class="table-responsive">
            <table class="table table-hover shopping-cart-wrap">
              <thead class="text-muted">
                <tr>
                  <th scope="col">Nama Item</th>
                  <th scope="col" width="150">Jumlah</th>
                  <th scope="col" width="180" class="text-right">Total Harga</th>
                </tr>
              </thead>
              <tbody>
                @php $subtotal = 0; @endphp
                @foreach ($sale->details as $item)
                  @php
                    $price_total = ((int) $item->price) * $item->qty;
                    $subtotal += $price_total;
                  @endphp
                  <tr>
                    <td>
                      <figure class="media mt-2">
                        <div class="img-wrap"><img src="{{ asset('uploads/images/products/'.$item->food->image) }}" class="center-cropped img-rounded"></div>
                        <figcaption class="media-body">
                          <h6 class="title text-truncate">{{ $item->food->name }}</h6>
                          <dl class="param param-inline small text-danger">
                            <dt>Harga : </dt>
                            <dd>Rp {{ rupiah((int) $item->price) }}</dd>
                          </dl>
                        </figcaption>
                      </figure> 
                    </td>
                    <td class="align-middle"> 
                      <span class="text-success text-bold">{{ $item->qty }}</span>
                    </td>
                    <td class="align-middle text-right"> 
                      <div class="price-wrap"> 
                        <var class="price">Rp {{ rupiah($price_total) }}</var> 
                      </div>
                    </td>
                  </tr>
                @endforeach
              </tbody>
              <tfoot>
                @if ($sale->details)
                  <tr>
                    <th class="text-right" colspan="2">Total</th>
                    <td class="text-right" colspan="2">
                      <div class="price-wrap"> 
                        <var class="price mr-3">Rp {{ rupiah($subtotal) }}</var> 
                      </div>
                    </td>
                  </tr>
                @endif
              </tfoot>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
@endsection

@section('css')
    <style>
      .center-cropped {
        background-position: center center;
        background-repeat: no-repeat;
        overflow: hidden;
        height: 50px;
        width: 65px;
      }

      .param {
          margin-bottom: 7px;
          line-height: 1.4;
      }
      .param-inline dt {
          display: inline-block;
      }
      .param dt {
          margin: 0;
          margin-right: 7px;
          font-weight: 600;
      }
      .param-inline dd {
          vertical-align: baseline;
          display: inline-block;
      }

      .param dd {
          margin: 0;
          vertical-align: baseline;
      } 

      .shopping-cart-wrap .price {
          color: #007bff;
          font-size: 15px;
          font-weight: bold;
          margin-right: 5px;
          display: block;
      }
      var {
          font-style: normal;
      }

      .media img {
          margin-right: 1rem;
      }
      .img-sm {
          width: 90px;
          max-height: 75px;
          object-fit: cover;
      }
    </style>
@endsection

@section('js')
  <script>
    $(document).ready(function () {
      bsCustomFileInput.init()
      $('.select2').select2();
    })

  </script>
@endsection

resources/views/frontend/sales/show.blade.php
@extends('adminlte::page')

@section('title', config('app.name') . ' -')
@section('title_postfix', 'Pengguna')

@section('content_header')
  <div class="row mb-2">
    <div class="col-sm-6">
      <h1>Transaksi</h1>
    </div>
    <div class="col-sm-6">
      <ol class="breadcrumb float-sm-right">
        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ route('sales.index') }}">Transaksi</a></li>
        <li class="breadcrumb-item active">Lihat Transaksi</li>
      </ol>
    </div>
  </div>
@endsection

@section('content')
  <div class="row">
    <div class="col-md-3">
      <div class="card">
        <div class="card-header">
          Informasi Order
        </div>
        <div class="card-body">
          <form action="#" method="POST">
            <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
              <label for="name" class="d-block">Nama</label>
              <input type="text" id="customer_name" class="form-control @if ($errors->has('name')) is-invalid @endif" value="{{ $sale->customer_name }}" disabled>
              @if ($errors->has('name'))
                <div class="invalid-feedback">
                  <strong>{{ $errors->first('name') }}</strong>
                </div>
              @endif
            </div>
            <div class="form-group {{ $errors->has('phone') ? ' has-error' : '' }}">
              <label for="phone" class="d-block">Nomor Whatsapp</label>
              <input type="number" id="customer_phone" class="form-control @if ($errors->has('phone')) is-invalid @endif" value="{{ $sale->customer_phone }}" disabled>
              @if ($errors->has('phone'))
                <div class="invalid-feedback">
                  <strong>{{ $errors->first('phone') }}</strong>
                </div>
              @endif
            </div>
            <div class="form-group {{ $errors->has('note') ? ' has-error' : '' }}">
              <label for="note" class="d-block">Catatan</label>
              <textarea id="customer_note" class="form-control @if ($errors->has('note')) is-invalid @endif" rows="2" disabled>{{ $sale->customer_note }}</textarea>
              @if ($errors->has('note'))
                <div class="invalid-feedback">
                  <strong>{{ $errors->first('note') }}</strong>
                </div>
              @endif
            </div>
            <div class="form-group {{ $errors->has('status') ? ' has-error' : '' }}">
              <label for="status" class="d-block">Status</label>
              <input id="customer_status" class="form-control @if ($errors->has('status')) is-invalid @endif" value="{{ $sale->display_status }}" disabled>
              @if ($errors->has('status'))
                <div class="invalid-feedback">
                  <strong>{{ $errors->first('status') }}</strong>
                </div>
              @endif
            </div>
          </form>
        </div>
      </div>
    </div>

    <div class="col-md-9">
      <div class="card">
        <div class="card-header">
          Beli dari : &nbsp;<strong>{{ $sale->tenant->name }}</strong>
        </div>
        <div class="card-body p-0">
          <div class="table-responsive">
            <table class="table table-hover shopping-cart-wrap">
              <thead class="text-muted">
                <tr>
                  <th scope="col">Nama Item</th>
                  <th scope="col" width="150">Jumlah</th>
                  <th scope="col" width="180" class="text-right">Total Harga</th>
                </tr>
              </thead>
              <tbody>
                @php $subtotal = 0; @endphp
                @foreach ($sale->details as $item)
                  @php
                    $price_total = ((int) $item->price) * $item->qty;
                    $subtotal += $price_total;
                  @endphp
                  <tr>
                    <td>
                      <figure class="media mt-2">
                        <div class="img-wrap"><img src="{{ asset('uploads/images/products/'.$item->food->image) }}" class="center-cropped img-rounded"></div>
                        <figcaption class="media-body">
                          <h6 class="title text-truncate">{{ $item->food->name }}</h6>
                          <dl class="param param-inline small text-danger">
                            <dt>Harga : </dt>
                            <dd>Rp {{ rupiah((int) $item->price) }}</dd>
                          </dl>
                        </figcaption>
                      </figure> 
                    </td>
                    <td class="align-middle"> 
                      <span class="text-success text-bold">{{ $item->qty }}</span>
                    </td>
                    <td class="align-middle text-right"> 
                      <div class="price-wrap"> 
                        <var class="price">Rp {{ rupiah($price_total) }}</var> 
                      </div>
                    </td>
                  </tr>
                @endforeach
              </tbody>
              <tfoot>
                @if ($sale->details)
                  <tr>
                    <th class="text-right" colspan="2">Total</th>
                    <td class="text-right" colspan="2">
                      <div class="price-wrap"> 
                        <var class="price mr-3">Rp {{ rupiah($subtotal) }}</var> 
                      </div>
                    </td>
                  </tr>
                @endif
              </tfoot>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
@endsection

@section('css')
    <style>
      .center-cropped {
        background-position: center center;
        background-repeat: no-repeat;
        overflow: hidden;
        height: 50px;
        width: 65px;
      }

      .param {
          margin-bottom: 7px;
          line-height: 1.4;
      }
      .param-inline dt {
          display: inline-block;
      }
      .param dt {
          margin: 0;
          margin-right: 7px;
          font-weight: 600;
      }
      .param-inline dd {
          vertical-align: baseline;
          display: inline-block;
      }

      .param dd {
          margin: 0;
          vertical-align: baseline;
      } 

      .shopping-cart-wrap .price {
          color: #007bff;
          font-size: 15px;
          font-weight: bold;
          margin-right: 5px;
          display: block;
      }
      var {
          font-style: normal;
      }

      .media img {
          margin-right: 1rem;
      }
      .img-sm {
          width: 90px;
          max-height: 75px;
          object-fit: cover;
      }
    </style>
@endsection

@section('js')
  <script>
    $(document).ready(function () {
      bsCustomFileInput.init()
      $('.select2').select2();
    })

  </script>
@endsection